/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_THREAD_H)
#define _THREAD_H

typedef void (*time_update_cb)(long hour, long min, long sec, long msec);
typedef int (*time_stop_cb)(void);

typedef struct thread_info {
	long lhour;
	long lmin;
	long lsec;
	long lmsec;
	double startTime;
	double elapsedTime;
	time_update_cb time_update_func;
	time_stop_cb time_stop_func;
} thread_info_s;

void thread_job(void *data, Ecore_Thread *thread);
void thread_job_notify(void *data, Ecore_Thread *thread, void *msg);
void thread_job_end(void *data, Ecore_Thread *thread);

#endif
